Subject: Re: NULL deref in bnx2 / crashes ? ( was: netconsole leads to stalled CPU task )

From: Cong Wang <[email-masked]>
Date: Mon, 17 Sep 2012 23:17:26 +0800

On 09/17/2012 06:57 PM, Sylvain Munaut wrote:
> Hi,
>
>>> Anyway, I think Eric is right, the bug may be in other place. I am wondering
>>> if the attached patch could help? It seems in netpoll tx path, we miss the
>>> chance of calling ->ndo_select_queue().
>>>
>>> Please give it a try.
>>
>> This fixes the NULL deref as well. I applied your patch over vanilla
>> 3.6-rc5 (so without eric's patch) and I can load netconsole without it
>> crashing directly.
>>
>> I will try to put a bit of load on the machine and see how it behaves,
>> if it solves the hung cpu tasks as well.
>
> So far so good, the machine is still alive and well after 3 days with
> netconsole enabled.
>

Great!

Thanks a lot for testing, Sylvain! I will post the patch tomorrow, as I 
need some sleep now. :)